Skip to main content
GET
List store products

Authorizations

x-api-key
string
header
default:sfk_your_api_key
required

Storefront API key (sfk_...)

Query Parameters

page
number
default:1

Page number for pagination (1-indexed)

Required range: x >= 1
Example:

1

take
number
default:50

Number of items to return per page. Maximum allowed value is 100.

Required range: 1 <= x <= 100
Example:

50

q
string

Search query to filter products by name or description

Example:

"haircut"

locationId
string

Filter products by location

status
enum<string>[]

Filter products by status

Available options:
active,
inactive
Example:
orderBy
string

Field to order results by

Example:

"title"

order
enum<string>
default:ASC

Sort direction

Available options:
ASC,
DESC

Response

200 - application/json

List of products for the current store

data
object[]
required
meta
object
required
Last modified on July 26, 2026